[caret-navigation-around-line-break.html]
  [two <span> separators - move up]
    expected:
      if debug and (os == "linux") and not fission and not swgl: [FAIL, PASS]
      if debug and (os == "linux") and not fission and swgl: [FAIL, PASS]
      if debug and (os == "linux") and fission: [FAIL, PASS]
      if debug and (os == "mac"): [FAIL, PASS]
      if debug and (os == "win"): [FAIL, PASS]
      if debug and (os == "android"): [FAIL, PASS]
      FAIL

  [no separator - move up]
    expected:
      if debug and (os == "linux") and not fission: [FAIL, PASS]
      if debug and (os == "mac"): [FAIL, PASS]
      FAIL

  [<span> separator - move down]
    expected:
      if debug: [FAIL, PASS]
      FAIL

  [two <span> separators - move down]
    expected:
      if (os == "linux") and debug: [FAIL, PASS]
      FAIL

  [<br> separator - move down]
    expected:
      if (os == "linux") and debug and not swgl: [FAIL, PASS]
      FAIL

  [<wbr> separator - move right]
    expected:
      if debug and (os == "linux"): [FAIL, PASS]
      if debug and (os == "mac"): [FAIL, PASS]
      FAIL

  [<wbr> separator - move left]
    expected:
      if debug and (os == "linux"): [FAIL, PASS]
      if debug and (os == "mac"): [FAIL, PASS]
      FAIL

  [<wbr> separator - move up]
    expected:
      if debug and (os == "linux"): [FAIL, PASS]
      if debug and (os == "mac"): [FAIL, PASS]
      FAIL

  [<wbr> separator - move down]
    expected: FAIL

  [<span> separator - move up]
    expected:
      if (os == "linux") and debug and not fission and not swgl: [FAIL, PASS]
      if (os == "linux") and debug and not fission and swgl: [FAIL, PASS]
      if (os == "linux") and debug and fission: [FAIL, PASS]
      FAIL

  [<br> separator - move up]
    expected: FAIL

  [<br> separator - move right]
    expected:
      if (os == "linux") and debug: [PASS, FAIL]
